using System;
namespace ConsoleApp40
{
    class Program
    {
        static void Main(string[] args)
        {
            string red;
            int x, y, a, b;
            red = Console.ReadLine();
            a = int.Parse(red.Split(' ')[0].ToString());
            b = int.Parse(red.Split(' ')[1].ToString());
            red = Console.ReadLine();
            x = int.Parse(red.Split(' ')[0].ToString());
            y = int.Parse(red.Split(' ')[1].ToString());

            if (x != a && y != b)
                Console.WriteLine("?");
            else if (x == a && y == b)
                Console.WriteLine("nijedan");
            else if (x == a && y != b)
                Console.WriteLine("drugi");
            else if (x != a && y == b)
                Console.WriteLine("prvi");
        }
    }
}